LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XActionListener Interface Referencepublished

makes it possible to receive action events. More...

`import "XActionListener.idl";`

Inheritance diagram for XActionListener:

## Public Member Functions
void | actionPerformed ([in] com::sun::star::awt::ActionEvent rEvent)
| is invoked when an action is performed.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to receive action events.

## Member Function Documentation

## ◆ actionPerformed()

void actionPerformed | ( | [in] com::sun::star::awt::ActionEvent | rEvent | ) |

is invoked when an action is performed.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XActionListener.idl